info:
  name: refreshJWT
  type: http
  seq: 2
  tags:
    - jwt

http:
  method: GET
  url: "{{baseUrl}}/jwt/refresh"
  params:
    - name: jwt
      value: ""
      type: query
      description: token jwt in ingresso per il quale effettuare il refresh
      disabled: true
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: 200 Response
    description: Successful response
    request:
      url: "{{baseUrl}}/jwt/refresh"
      method: GET
      params:
        - name: jwt
          value: ""
          type: query
          description: token jwt in ingresso per il quale effettuare il refresh
          disabled: true
    response:
      status: 200
      statusText: OK
      body:
        type: text
        data: ""
  - name: 422 Response
    description: parametri Errati
    request:
      url: "{{baseUrl}}/jwt/refresh"
      method: GET
      params:
        - name: jwt
          value: ""
          type: query
          description: token jwt in ingresso per il quale effettuare il refresh
          disabled: true
    response:
      status: 422
      statusText: Unprocessable Entity
      body:
        type: text
        data: ""

docs: |
  <span class="e3rest-operation-auth-img-list"><img src="basic.png"/><img src="jwt.png"/></span>effettua il refresh di un token jwt passato in ingresso se questo è stato emesso da esse3 tramite la login oppure con l'endopoint di creazione 


  **Estensioni:**

  Codice Estensione|Valore|Nota
  -|-|-
  x-cache-type|noCache|Nessuna cache impostata Maggiori dettagli [qui](https://wiki.u-gov.it/confluence/display/ESSE3/Servizi+REST+su+ESSE3#ServiziRESTsuESSE3-Cachingdellerichieste) 


  **Controlli di sicurezza:**
  ======
  _Nota: Il controllo per utente è verificato quando viene passato almeno uno dei controlli previsti_

  **Utente: ALL**

  Profilo|Controllo| Funzione
  -|-|-
  ALL|Funzione Pubblica|Security.checkDummy()


  Classe di modello : DettaglioErroreAggiuntivo
  ======

  Estensioni sulle proprietà
  ----
  Proprietà | x-field-type
  -|-|
  rawValue|rawJson
